<div xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.de/ns/docs#3" id="content">
  <h1>application: common</h1>
  <div class="descr">
    <p> This artificial application gathers functionality shared by many "real"
 applications.  While most users can probably do without looking into this
 you may find some useful functions here.</p>
  </div>
  <br/>
  <div class="level2">
    <h2>
      <b>Objects</b>
    </h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:i112" onclick="swap_content('span:i112'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="object">
              <h3>
                <a href="#" class="javalink" id="i112" onclick="swap_content('span:i112'); return false;">
                  <span class="object">Core::Object</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i112" class="foldit">
              <div class="descr">
                <p> This is the common base class of all `big' objects in polymake.
 It is included in the online help because it provides several useful methods
 for scripting and interactive use.</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of Core::Object</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i351" onclick="swap_content('span:i351'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i351" onclick="swap_content('span:i351'); return false;"><b>apply_rule</b></a>
			(pattern)  

			<div style="display: inline" id="span:i351" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Executes the specified production rule.
 If the object does not possess enough initial properties to provide all required
 rule sources, or any of its preconditions are not satisfied, an exception is
 raised.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">pattern</td><td><div class="descr"><div>: either a label (see <a href="#i216" onclick="unfold('span:i216');">prefer</a>) or a rule header.
        The rule header must exactly match the definition in the rulefile,
        up to white spaces around property names.
        If the given pattern matches headers of several rules, or the given label
        is associated with several rules, the rule chain with smallest total weight
        (including the rules supplying the source properties) is chosen.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i350" onclick="swap_content('span:i350'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i350" onclick="swap_content('span:i350'); return false;"><b>disable_rules</b></a>
			(pattern)  

			<div style="display: inline" id="span:i350" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Temporarily disable production rules matching given pattern for an object.
 Rules are re-enabled after the complete execution of the current script
 or input expression in interactive mode.</p><p> Works much like the user function <a href="#i350" onclick="unfold('span:i350');">disable_rules</a> but only affecting
 the given object.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">pattern</td><td><div class="descr"><div>: either a label (see <a href="#i216" onclick="unfold('span:i216');">prefer</a>) or a rule header.
        The rule header must exactly match the definition in the rulefile,
        up to white spaces around property names.
        If the given pattern matches headers of several rules, or the given label
        is associated with several rules, they all will be disabled regardless
        their precoditions, weights, or other attributes.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i352" onclick="swap_content('span:i352'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i352" onclick="swap_content('span:i352'); return false;"><b>dont_save</b></a>
			()  

			<div style="display: inline" id="span:i352" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Clears the `changed' flag in the object, so that it won't be saved in the XML file it stems from.
 This method is primarily designed for unit tests, but could be also useful in interactive mode
 if you want to revert all recent changes and reload the object from the data file.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i353" onclick="swap_content('span:i353'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i353" onclick="swap_content('span:i353'); return false;"><b>get_schedule</b></a>
			(request)  

			
				→ Core::RuleChain<div style="display: inline" id="span:i353" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compose an optimal chain of production rules providing all requested properties.
 The returned RuleChain object can be applied to the original object as well as to any other object
 with the same initial set of properties.  If no feasible rule chain exists, `undef' is returned.</p><p> To watch the rule scheduler at work, e.g. to see announcements about tried preconditions,
 you may temporarily increase the verbosity levels <code>$Verbose::rules</code> and <code>$Verbose::scheduler</code>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">request</td><td><div class="descr"><div>: name of a property with optional alternatives or a property path in dotted notation.
                         Several requests may be listed.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>Core::RuleChain</td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level2">
    <h2>User Functions</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:i103" onclick="swap_content('span:i103'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i103" onclick="swap_content('span:i103'); return false;"><b>cols</b></a>
			()  

			<div style="display: inline" id="span:i103" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i229" onclick="swap_content('span:i229'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i229" onclick="swap_content('span:i229'); return false;"><b>cols</b></a>
			()  

			<div style="display: inline" id="span:i229" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i104" onclick="swap_content('span:i104'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i104" onclick="swap_content('span:i104'); return false;"><b>concat_rows</b></a>
			()  

			<div style="display: inline" id="span:i104" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i96" onclick="swap_content('span:i96'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i96" onclick="swap_content('span:i96'); return false;"><b>denominator</b></a>
			()  

			<div style="display: inline" id="span:i96" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i91" onclick="swap_content('span:i91'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i91" onclick="swap_content('span:i91'); return false;"><b>gcd</b></a>
			()  

			<div style="display: inline" id="span:i91" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i107" onclick="swap_content('span:i107'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i107" onclick="swap_content('span:i107'); return false;"><b>numerator</b></a>
			()  

			<div style="display: inline" id="span:i107" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i93" onclick="swap_content('span:i93'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i93" onclick="swap_content('span:i93'); return false;"><b>property_viewer</b></a>
			()  

			<div style="display: inline" id="span:i93" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i92" onclick="swap_content('span:i92'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i92" onclick="swap_content('span:i92'); return false;"><b>rows</b></a>
			()  

			<div style="display: inline" id="span:i92" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i170" onclick="swap_content('span:i170'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i170" onclick="swap_content('span:i170'); return false;"><b>rows</b></a>
			()  

			<div style="display: inline" id="span:i170" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i101" onclick="swap_content('span:i101'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i101" onclick="swap_content('span:i101'); return false;"><b>totally_unimodular</b></a>
			(A)  

			
				→ Bool<div style="display: inline" id="span:i101" class="foldit"><br/><div class="descr_func"><div class="descr"><p> This is the naive test (exponential in the size of the matrix).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i36" onclick="unfold('span:i36');">Bool</a></td><td/></tr></table></div></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i109" onclick="swap_content('span:i109'); return false;">
		 	
	</div>
          <div class="unfoldable"><a href="#" class="javalink" id="i109" onclick="swap_content('span:i109'); return false;"><b>zero_matrix</b></a>
			()  

			<div style="display: inline" id="span:i109" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i89" onclick="swap_content('span:i89'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i89" onclick="swap_content('span:i89'); return false;">
                  <span class="category">Arithmetic</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i89" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i156" onclick="swap_content('span:i156'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i156" onclick="swap_content('span:i156'); return false;"><b>ceil</b></a>
			()  

			<div style="display: inline" id="span:i156" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i150" onclick="swap_content('span:i150'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i150" onclick="swap_content('span:i150'); return false;"><b>denominator</b></a>
			()  

			<div style="display: inline" id="span:i150" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i158" onclick="swap_content('span:i158'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i158" onclick="swap_content('span:i158'); return false;"><b>div</b></a>
			()  

			
				→ Div<div style="display: inline" id="span:i158" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the quotient and remainder in one operation.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i129" onclick="unfold('span:i129');">Div</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i160" onclick="swap_content('span:i160'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i160" onclick="swap_content('span:i160'); return false;"><b>div_exact</b></a>
			()  

			<div style="display: inline" id="span:i160" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the ratio of two given integral numbers under the assumption that the dividend is a multiple of the divisor.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i163" onclick="swap_content('span:i163'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i163" onclick="swap_content('span:i163'); return false;"><b>ext_gcd</b></a>
			()  

			
				→ ExtGCD<div style="display: inline" id="span:i163" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the greatest common divisor of two numbers (a,b) and accompanying co-factors.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i130" onclick="unfold('span:i130');">ExtGCD</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i151" onclick="swap_content('span:i151'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i151" onclick="swap_content('span:i151'); return false;"><b>fac</b></a>
			()  

			
				→ Integer<div style="display: inline" id="span:i151" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the factorial of the given number.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i17" onclick="unfold('span:i17');">Integer</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i157" onclick="swap_content('span:i157'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i157" onclick="swap_content('span:i157'); return false;"><b>floor</b></a>
			()  

			<div style="display: inline" id="span:i157" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i159" onclick="swap_content('span:i159'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i159" onclick="swap_content('span:i159'); return false;"><b>gcd</b></a>
			()  

			<div style="display: inline" id="span:i159" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the greatest common divisor of two given integral numbers.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i323" onclick="swap_content('span:i323'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i323" onclick="swap_content('span:i323'); return false;"><b>gcd</b></a>
			()  

			<div style="display: inline" id="span:i323" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the greatest common divisor of the elements of the given vector.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i162" onclick="swap_content('span:i162'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i162" onclick="swap_content('span:i162'); return false;"><b>isfinite</b></a>
			()  

			<div style="display: inline" id="span:i162" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether the given number has a finite value.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i153" onclick="swap_content('span:i153'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i153" onclick="swap_content('span:i153'); return false;"><b>isinf</b></a>
			()  

			<div style="display: inline" id="span:i153" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether the given number has an infinite value.  Return -1/+1 for infinity and 0 for all finite values.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i154" onclick="swap_content('span:i154'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i154" onclick="swap_content('span:i154'); return false;"><b>is_one</b></a>
			()  

			<div style="display: inline" id="span:i154" class="foldit"><br/><div class="descr_func"><div class="descr"><p> compare with the one (1) value of the corresponding data type</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i161" onclick="swap_content('span:i161'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i161" onclick="swap_content('span:i161'); return false;"><b>is_zero</b></a>
			()  

			<div style="display: inline" id="span:i161" class="foldit"><br/><div class="descr_func"><div class="descr"><p> compare with the zero (0) value of the corresponding data type</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i155" onclick="swap_content('span:i155'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i155" onclick="swap_content('span:i155'); return false;"><b>lcm</b></a>
			()  

			<div style="display: inline" id="span:i155" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the least common multiple of two given integral numbers.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i322" onclick="swap_content('span:i322'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i322" onclick="swap_content('span:i322'); return false;"><b>lcm</b></a>
			()  

			<div style="display: inline" id="span:i322" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the least common multiple of the elements of the given vector.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i152" onclick="swap_content('span:i152'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i152" onclick="swap_content('span:i152'); return false;"><b>numerator</b></a>
			()  

			<div style="display: inline" id="span:i152" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i98" onclick="swap_content('span:i98'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i98" onclick="swap_content('span:i98'); return false;">
                  <span class="category">Combinatorics</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i98" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i189" onclick="swap_content('span:i189'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i189" onclick="swap_content('span:i189'); return false;"><b>binomial</b></a>
			()  

			<div style="display: inline" id="span:i189" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i191" onclick="swap_content('span:i191'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i191" onclick="swap_content('span:i191'); return false;"><b>find_permutation</b></a>
			()  

			<div style="display: inline" id="span:i191" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i188" onclick="swap_content('span:i188'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i188" onclick="swap_content('span:i188'); return false;"><b>permutation_cycles</b></a>
			()  

			<div style="display: inline" id="span:i188" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i190" onclick="swap_content('span:i190'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i190" onclick="swap_content('span:i190'); return false;"><b>permutation_matrix</b></a>
			()  

			<div style="display: inline" id="span:i190" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i97" onclick="swap_content('span:i97'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i97" onclick="swap_content('span:i97'); return false;">
                  <span class="category">Data conversion</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i97" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i180" onclick="swap_content('span:i180'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i180" onclick="swap_content('span:i180'); return false;"><b>cast</b></a>
			&lt;Target&gt;
		 
			(object)  

			
				→ Object<div style="display: inline" id="span:i180" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Change the type of the polymake object:
 only downcast (to a derived type) and upcast (to an ancestor type) are allowed.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Target</td><td><div class="descr"><div>the desired new type</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td>Object</td><td class="param">object</td><td><div class="descr"><div>to be modified</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>Object</td><td><div class="descr"><div>the same <em class="param">object</em>, but with modified type</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i186" onclick="swap_content('span:i186'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i186" onclick="swap_content('span:i186'); return false;"><b>convert_to</b></a>
			()  

			<div style="display: inline" id="span:i186" class="foldit"><br/><div class="descr_func"><div class="descr"><p> convert to different scalar type if needed</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i331" onclick="swap_content('span:i331'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i331" onclick="swap_content('span:i331'); return false;"><b>convert_to</b></a>
			()  

			<div style="display: inline" id="span:i331" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to different element type if needed.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i332" onclick="swap_content('span:i332'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i332" onclick="swap_content('span:i332'); return false;"><b>convert_to</b></a>
			()  

			<div style="display: inline" id="span:i332" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to different element type if needed.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i181" onclick="swap_content('span:i181'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i181" onclick="swap_content('span:i181'); return false;"><b>dense</b></a>
			(v)  

			
				→ Vector<div style="display: inline" id="span:i181" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Return the input vector (which is already in dense form).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i328" onclick="swap_content('span:i328'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i328" onclick="swap_content('span:i328'); return false;"><b>dense</b></a>
			(m)  

			
				→ Matrix<div style="display: inline" id="span:i328" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Return the input matrix (which is already in dense form).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i330" onclick="swap_content('span:i330'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i330" onclick="swap_content('span:i330'); return false;"><b>dense</b></a>
			&lt;Element&gt;
		 
			(v)  

			
				→ Vector<div style="display: inline" id="span:i330" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to an equivalent dense vector of the same element type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i126" onclick="unfold('span:i126');">SparseVector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i329" onclick="swap_content('span:i329'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i329" onclick="swap_content('span:i329'); return false;"><b>dense</b></a>
			&lt;Element&gt;
		 
			(m)  

			
				→ Matrix<div style="display: inline" id="span:i329" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to an equivalent dense matrix of the same element type.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i119" onclick="unfold('span:i119');">SparseMatrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i325" onclick="swap_content('span:i325'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i325" onclick="swap_content('span:i325'); return false;"><b>dense</b></a>
			(m)  

			
				→ Matrix&lt;Int&gt;<div style="display: inline" id="span:i325" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to a dense 0/1 matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i22" onclick="unfold('span:i22');">IncidenceMatrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix&lt;Int&gt;</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i327" onclick="swap_content('span:i327'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i327" onclick="swap_content('span:i327'); return false;"><b>dense</b></a>
			(s, dim)  

			
				→ Vector&lt;Int&gt;<div style="display: inline" id="span:i327" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Convert to a dense 0/1 vector of a given dimension.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i29" onclick="unfold('span:i29');">Set</a></td><td class="param">s</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">dim</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i179" onclick="swap_content('span:i179'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i179" onclick="swap_content('span:i179'); return false;"><b>index_matrix</b></a>
			(m)  

			
				→ IncidenceMatrix<div style="display: inline" id="span:i179" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Get the positions of non-zero entries of a sparse matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i119" onclick="unfold('span:i119');">SparseMatrix</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i22" onclick="unfold('span:i22');">IncidenceMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i185" onclick="swap_content('span:i185'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i185" onclick="swap_content('span:i185'); return false;"><b>indices</b></a>
			(v)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:i185" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Get the positions of non-zero entries of a sparse vector.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i126" onclick="unfold('span:i126');">SparseVector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i29" onclick="unfold('span:i29');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i187" onclick="swap_content('span:i187'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i187" onclick="swap_content('span:i187'); return false;"><b>repeat_row</b></a>
			()  

			<div style="display: inline" id="span:i187" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i178" onclick="swap_content('span:i178'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i178" onclick="swap_content('span:i178'); return false;"><b>toMatrix</b></a>
			&lt;Scalar&gt;
		 
			(A)  

			<div style="display: inline" id="span:i178" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i22" onclick="unfold('span:i22');">IncidenceMatrix</a></td><td class="param">A</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i184" onclick="swap_content('span:i184'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i184" onclick="swap_content('span:i184'); return false;"><b>toVector</b></a>
			&lt;Scalar&gt;
		 
			(S)  

			<div style="display: inline" id="span:i184" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Scalar</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i29" onclick="unfold('span:i29');">Set</a></td><td class="param">S</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i182" onclick="swap_content('span:i182'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i182" onclick="swap_content('span:i182'); return false;"><b>vector2col</b></a>
			()  

			<div style="display: inline" id="span:i182" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i183" onclick="swap_content('span:i183'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i183" onclick="swap_content('span:i183'); return false;"><b>vector2row</b></a>
			()  

			<div style="display: inline" id="span:i183" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i102" onclick="swap_content('span:i102'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i102" onclick="swap_content('span:i102'); return false;">
                  <span class="category">Formatting</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i102" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i225" onclick="swap_content('span:i225'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i225" onclick="swap_content('span:i225'); return false;"><b>labeled</b></a>
			(data, elem_labels)  

			
				→ String<div style="display: inline" id="span:i225" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Prepares a vector for printing, prepends each element with a label and a colon.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>optional labels for elements;
  if <em class="param">data</em> is a <a href="#i29" onclick="unfold('span:i29');">Set</a>, or similar, each element will be replaced by its label.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i228" onclick="swap_content('span:i228'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i228" onclick="swap_content('span:i228'); return false;"><b>latex</b></a>
			(data, elem_labels)  

			
				→ String<div style="display: inline" id="span:i228" class="foldit"><br/><div class="descr_func"><div class="descr"><p> LaTeX output of a matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>optional labels for elements;
  if <em class="param">data</em> is an <a href="#i22" onclick="unfold('span:i22');">IncidenceMatrix</a>, <a href="#i53" onclick="unfold('span:i53');">Array&lt;Set&gt;</a>, or similar, each element will be replaced by its label.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td><div class="descr"><div>to be used with \usepackage{amsmath}</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i224" onclick="swap_content('span:i224'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i224" onclick="swap_content('span:i224'); return false;"><b>numbered</b></a>
			(data)  

			
				→ String<div style="display: inline" id="span:i224" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Equivalent to <a href="#i225" onclick="unfold('span:i225');">labeled</a> with omitted <em class="param">elem_labels</em> argument.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i226" onclick="swap_content('span:i226'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i226" onclick="swap_content('span:i226'); return false;"><b>rows_labeled</b></a>
			(data, row_labels, elem_labels)  

			
				→ Array&lt;String&gt;<div style="display: inline" id="span:i226" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Prepares a matrix for printing, prepends each row with a label and a colon.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td class="param">row_labels</td><td><div class="descr"><div>labels for the rows</div></div></td></tr><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>optional labels for elements;
  if <em class="param">data</em> is an <a href="#i22" onclick="unfold('span:i22');">IncidenceMatrix</a>, <a href="#i53" onclick="unfold('span:i53');">Array&lt;Set&gt;</a>, or similar, each element will be replaced by its label.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td><div class="descr"><div>each string ending with end-of-line</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i335" onclick="swap_content('span:i335'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i335" onclick="swap_content('span:i335'); return false;"><b>rows_labeled</b></a>
			(graph, elem_labels)  

			
				→ Array&lt;String&gt;<div style="display: inline" id="span:i335" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Like above, but specialized for Graphs (defined for convenience: a PTL Graph is not a container)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i26" onclick="unfold('span:i26');">Graph</a></td><td class="param">graph</td><td><div class="descr"><div>to be printed</div></div></td></tr><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td class="param">elem_labels</td><td><div class="descr"><div>labels for the elements</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td><div class="descr"><div>each string ending with end-of-line</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i227" onclick="swap_content('span:i227'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i227" onclick="swap_content('span:i227'); return false;"><b>rows_numbered</b></a>
			(data)  

			
				→ Array&lt;String&gt;<div style="display: inline" id="span:i227" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Equivalent to <a href="#i226" onclick="unfold('span:i226');">rows_labeled</a> with omitted <em class="param">row_labels</em> argument.
 Formerly called "numbered".</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">data</td><td><div class="descr"><div>to be printed</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td><div class="descr"><div>each string ending with end-of-line</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i95" onclick="swap_content('span:i95'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i95" onclick="swap_content('span:i95'); return false;">
                  <span class="category">Graph operations</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i95" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i177" onclick="swap_content('span:i177'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i177" onclick="swap_content('span:i177'); return false;"><b>adjacency_matrix</b></a>
			()  

			<div style="display: inline" id="span:i177" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the adjacency matrix of graph nodes.
 For a normal graph, it will be a kind of <a href="#i22" onclick="unfold('span:i22');">IncidenceMatrix</a>,
 for multigraph, it will be a <a href="#i119" onclick="unfold('span:i119');">SparseMatrix&lt;Int&gt;</a>, with entries encoding the number of parallel edges between two nodes.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i176" onclick="swap_content('span:i176'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i176" onclick="swap_content('span:i176'); return false;"><b>edges</b></a>
			()  

			<div style="display: inline" id="span:i176" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the sequence of all edges of a graph.
 The edges will appear in ascending order of their tail and head nodes.
 In the Undirected case, the edges will appear once, ordered by the larger index of their incident nodes.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i174" onclick="swap_content('span:i174'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i174" onclick="swap_content('span:i174'); return false;"><b>induced_subgraph</b></a>
			(graph, set)  

			<div style="display: inline" id="span:i174" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates an induced subgraph for the given subset of nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i26" onclick="unfold('span:i26');">Graph</a></td><td class="param">graph</td><td/></tr><tr><td><a href="#i29" onclick="unfold('span:i29');">Set</a></td><td class="param">set</td><td><div class="descr"><div>indices of selected nodes</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i173" onclick="swap_content('span:i173'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i173" onclick="swap_content('span:i173'); return false;"><b>nodes</b></a>
			()  

			<div style="display: inline" id="span:i173" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the sequence of all valid nodes of a graph.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i175" onclick="swap_content('span:i175'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i175" onclick="swap_content('span:i175'); return false;"><b>node_edge_incidences</b></a>
			&lt;Coord&gt;
		 
			(graph)  

			
				→ SparseMatrix<div style="display: inline" id="span:i175" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coord</td><td><div class="descr"><div>coordinate type for the resulting matrix</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i26" onclick="unfold('span:i26');">Graph</a></td><td class="param">graph</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i119" onclick="unfold('span:i119');">SparseMatrix</a></td><td><div class="descr"><div>node-edge incidence matrix of a graph</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i106" onclick="swap_content('span:i106'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i106" onclick="swap_content('span:i106'); return false;">
                  <span class="category">Lattice Tools</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i106" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i254" onclick="swap_content('span:i254'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i254" onclick="swap_content('span:i254'); return false;"><b>eliminate_denominators</b></a>
			(v)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:i254" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scale a vector with the least common multiple of the denominators of its coordinates</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i255" onclick="swap_content('span:i255'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i255" onclick="swap_content('span:i255'); return false;"><b>eliminate_denominators_entire</b></a>
			(v)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:i255" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scale entire matrix with the least common multiple of the denominators of its coordinates</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix&lt;Integer&gt;</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i253" onclick="swap_content('span:i253'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i253" onclick="swap_content('span:i253'); return false;"><b>eliminate_denominators_entire_affine</b></a>
			(v)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:i253" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scale entire matrix with the least common multiple of the denominators of its coordinates (ignore first column)</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix&lt;Integer&gt;</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i256" onclick="swap_content('span:i256'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i256" onclick="swap_content('span:i256'); return false;"><b>eliminate_denominators_in_rows</b></a>
			(v)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:i256" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scale a matrix rowwise with the least common multiple of the denominators of its coordinates</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix&lt;Integer&gt;</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i257" onclick="swap_content('span:i257'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i257" onclick="swap_content('span:i257'); return false;"><b>is_integral</b></a>
			(v)  

			
				→ bool<div style="display: inline" id="span:i257" class="foldit"><br/><div class="descr_func"><div class="descr"><p> checks whether all coordinates of a  rational vector are integral</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>bool</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i347" onclick="swap_content('span:i347'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i347" onclick="swap_content('span:i347'); return false;"><b>is_integral</b></a>
			(m)  

			
				→ bool<div style="display: inline" id="span:i347" class="foldit"><br/><div class="descr_func"><div class="descr"><p> checks whether all coordinates of a  rational matrix are integral</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>bool</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i258" onclick="swap_content('span:i258'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i258" onclick="swap_content('span:i258'); return false;"><b>primitive</b></a>
			(v)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:i258" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scales the vector to a primitive integral vector</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i349" onclick="swap_content('span:i349'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i349" onclick="swap_content('span:i349'); return false;"><b>primitive</b></a>
			(M)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:i349" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scales each row of the matrix to a primitive integral vector</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix&lt;Integer&gt;</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i252" onclick="swap_content('span:i252'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i252" onclick="swap_content('span:i252'); return false;"><b>primitive_affine</b></a>
			(v)  

			
				→ Vector&lt;Integer&gt;<div style="display: inline" id="span:i252" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scales the affine part of a vector to a primitive integral vector</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">v</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector&lt;Integer&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i345" onclick="swap_content('span:i345'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i345" onclick="swap_content('span:i345'); return false;"><b>primitive_affine</b></a>
			(M)  

			
				→ Matrix&lt;Integer&gt;<div style="display: inline" id="span:i345" class="foldit"><br/><div class="descr_func"><div class="descr"><p> scales the affine part of each row of the matrix to a primitive integral vector</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">M</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix&lt;Integer&gt;</td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i105" onclick="swap_content('span:i105'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i105" onclick="swap_content('span:i105'); return false;">
                  <span class="category">Linear Algebra</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i105" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i233" onclick="swap_content('span:i233'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i233" onclick="swap_content('span:i233'); return false;"><b>anti_diag</b></a>
			(d)  

			
				→ SparseMatrix<div style="display: inline" id="span:i233" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a <a href="#i119" onclick="unfold('span:i119');">SparseMatrix</a> from its anti-diagonal.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">d</td><td><div class="descr"><div>the anti-diagonal entries</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i119" onclick="unfold('span:i119');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i336" onclick="swap_content('span:i336'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i336" onclick="swap_content('span:i336'); return false;"><b>anti_diag</b></a>
			()  

			<div style="display: inline" id="span:i336" class="foldit"><br/><div class="descr_func"/><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i231" onclick="swap_content('span:i231'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i231" onclick="swap_content('span:i231'); return false;"><b>basis</b></a>
			(A)  

			
				→ Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;<div style="display: inline" id="span:i231" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes subsets of the rows and columns of <em class="param">A</em> that form a basis for the linear space spanned by <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i39" onclick="unfold('span:i39');">Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>The first set corresponds to the rows, the second to the columns.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i236" onclick="swap_content('span:i236'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i236" onclick="swap_content('span:i236'); return false;"><b>basis_affine</b></a>
			(A)  

			
				→ Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;<div style="display: inline" id="span:i236" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Does the same as <a href="#i231" onclick="unfold('span:i231');">basis</a> ignoring the first column of the matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i39" onclick="unfold('span:i39');">Pair&lt;Set&lt;Int&gt;, Set&lt;Int&gt;&gt;</a></td><td><div class="descr"><div>The first set corresponds to the rows, the second to the columns.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i241" onclick="swap_content('span:i241'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i241" onclick="swap_content('span:i241'); return false;"><b>basis_cols</b></a>
			(A)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:i241" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes a subset of the columns of <em class="param">A</em> that form a basis for the linear space spanned by <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i29" onclick="unfold('span:i29');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i247" onclick="swap_content('span:i247'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i247" onclick="swap_content('span:i247'); return false;"><b>basis_rows</b></a>
			(A)  

			
				→ Set&lt;Int&gt;<div style="display: inline" id="span:i247" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes a subset of the rows of <em class="param">A</em> that form a basis for the linear space spanned by <em class="param">A</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i29" onclick="unfold('span:i29');">Set&lt;Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i232" onclick="swap_content('span:i232'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i232" onclick="swap_content('span:i232'); return false;"><b>det</b></a>
			(A)  

			
				→ Int<div style="display: inline" id="span:i232" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">determinant</em> of a matrix using Gauss elimination.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td><div class="descr"><div>det(A)</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i242" onclick="swap_content('span:i242'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i242" onclick="swap_content('span:i242'); return false;"><b>diag</b></a>
			()  

			<div style="display: inline" id="span:i242" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i338" onclick="swap_content('span:i338'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i338" onclick="swap_content('span:i338'); return false;"><b>diag</b></a>
			(d)  

			
				→ SparseMatrix<div style="display: inline" id="span:i338" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces a <a href="#i119" onclick="unfold('span:i119');">SparseMatrix</a> from its diagonal.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">d</td><td><div class="descr"><div>the diagonal entries</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i119" onclick="unfold('span:i119');">SparseMatrix</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i235" onclick="swap_content('span:i235'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i235" onclick="swap_content('span:i235'); return false;"><b>equal_bases</b></a>
			(A1, A2)  

			
				→ Bool<div style="display: inline" id="span:i235" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Check whether both matrices are bases of the same linear subspace.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A1</td><td/></tr><tr><td>Matrix</td><td class="param">A2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i36" onclick="unfold('span:i36');">Bool</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i245" onclick="swap_content('span:i245'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i245" onclick="swap_content('span:i245'); return false;"><b>inv</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:i245" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">inverse</em> <em class="param">A</em><sup>-1</sup> of an invertible matrix <em class="param">A</em> using Gauss elimination.
 Seems not to work for sparse matrices (produces seg fault).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i234" onclick="swap_content('span:i234'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i234" onclick="swap_content('span:i234'); return false;"><b>lineality_space</b></a>
			()  

			<div style="display: inline" id="span:i234" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i238" onclick="swap_content('span:i238'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i238" onclick="swap_content('span:i238'); return false;"><b>lin_solve</b></a>
			(A, b)  

			<div style="display: inline" id="span:i238" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the solution of the system <em class="param">A</em>x = <em class="param">b</em></p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td><div class="descr"><div>must be invertible</div></div></td></tr><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td class="param">b</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i248" onclick="swap_content('span:i248'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i248" onclick="swap_content('span:i248'); return false;"><b>normalized</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:i248" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">inverse</em> <em class="param">A</em><sup>-1</sup> of an invertible matrix <em class="param">A</em> using Gauss elimination.
 Seems not to work for sparse matrices (produces seg fault).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i244" onclick="swap_content('span:i244'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i244" onclick="swap_content('span:i244'); return false;"><b>null_space</b></a>
			()  

			<div style="display: inline" id="span:i244" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i342" onclick="swap_content('span:i342'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i342" onclick="swap_content('span:i342'); return false;"><b>null_space</b></a>
			()  

			<div style="display: inline" id="span:i342" class="foldit"><br/><div class="descr_func"/><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i246" onclick="swap_content('span:i246'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i246" onclick="swap_content('span:i246'); return false;"><b>ones_vector</b></a>
			&lt;Element&gt;
		 
			(d)  

			<div style="display: inline" id="span:i246" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a vector with all elements equal to 1.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>type of the vector elements, defaults to <a href="#i21" onclick="unfold('span:i21');">Rational</a>.</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">d</td><td><div class="descr"><div>vector dimension.  If omitted, a vector of dimension 0 is created,
               which can adjust itself when involved in a block matrix operation.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i240" onclick="swap_content('span:i240'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i240" onclick="swap_content('span:i240'); return false;"><b>rank</b></a>
			(A)  

			
				→ Int<div style="display: inline" id="span:i240" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">rank</em> of a matrix.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i239" onclick="swap_content('span:i239'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i239" onclick="swap_content('span:i239'); return false;"><b>reduce</b></a>
			()  

			<div style="display: inline" id="span:i239" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i250" onclick="swap_content('span:i250'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i250" onclick="swap_content('span:i250'); return false;"><b>smith_normal_form</b></a>
			(M, inv)  

			<div style="display: inline" id="span:i250" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute the Smith normal form of a given matrix <em class="param">M</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">M</td><td><div class="descr"><div>, must be of integer type</div></div></td></tr><tr><td><a href="#i36" onclick="unfold('span:i36');">Bool</a></td><td class="param">inv</td><td><div class="descr"><div>, optional, if true, compute the inverse of the companion matrices</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i243" onclick="swap_content('span:i243'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i243" onclick="swap_content('span:i243'); return false;"><b>transpose</b></a>
			()  

			<div style="display: inline" id="span:i243" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i341" onclick="swap_content('span:i341'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i341" onclick="swap_content('span:i341'); return false;"><b>transpose</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:i341" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Computes the <em class="u">transpose</em> <em class="param">A</em><sup>T</sup> of a matrix <em class="param">A</em>, i.e., (a<sup>T</sup>)<sub>ij</sub> = a<sub>ji</sub>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i249" onclick="swap_content('span:i249'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i249" onclick="swap_content('span:i249'); return false;"><b>unit_matrix</b></a>
			&lt;Element&gt;
		 
			(d)  

			
				→ SparseMatrix&lt;Element&gt;<div style="display: inline" id="span:i249" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a unit matrix of given dimension</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">d</td><td><div class="descr"><div>dimension of the matrix</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i119" onclick="unfold('span:i119');">SparseMatrix&lt;Element&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i237" onclick="swap_content('span:i237'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i237" onclick="swap_content('span:i237'); return false;"><b>unit_vector</b></a>
			&lt;Element&gt;
		 
			(d, pos)  

			
				→ SparseVector&lt;Element&gt;<div style="display: inline" id="span:i237" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a <a href="#i126" onclick="unfold('span:i126');">SparseVector</a> of given length <em class="param">d</em> with a one entry at position <em class="param">pos</em> and zeroes elsewhere.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">d</td><td><div class="descr"><div>the dimension of the vector</div></div></td></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">pos</td><td><div class="descr"><div>the position of the 1</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i126" onclick="unfold('span:i126');">SparseVector&lt;Element&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i251" onclick="swap_content('span:i251'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i251" onclick="swap_content('span:i251'); return false;"><b>zero_vector</b></a>
			&lt;Element&gt;
		 
			(d)  

			<div style="display: inline" id="span:i251" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a vector with all elements equal to zero.</p></div></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td><div class="descr"><div>type of the vector elements, defaults to <a href="#i21" onclick="unfold('span:i21');">Rational</a>.</div></div></td></tr></table><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">d</td><td><div class="descr"><div>vector dimension.  If omitted, a vector of dimension 0 is created,
               which can adjust itself when involved in a block matrix operation.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i108" onclick="swap_content('span:i108'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i108" onclick="swap_content('span:i108'); return false;">
                  <span class="category">Number Theory</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i108" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i259" onclick="swap_content('span:i259'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i259" onclick="swap_content('span:i259'); return false;"><b>sum_of_square_roots_naive</b></a>
			(a)  

			
				→ Map&lt;Rational, Rational&gt;<div style="display: inline" id="span:i259" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Make a naive attempy to sum the square roots of the entries
 of the input array.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;Rational&gt;</a></td><td class="param">a</td><td><div class="descr"><div>list of rational numbers (other coefficents are not implemented).</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i42" onclick="unfold('span:i42');">Map&lt;Rational, Rational&gt;</a></td><td><div class="descr"><div>coefficient_of_sqrt a map collecting the coefficients of various roots encountered in the sum.
 For example, {(3 1/2),(5 7)} represents sqrt{3}/2 + 7 sqrt{5}.
 If the output is not satisfactory, please use a symbolic algebra package.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i94" onclick="swap_content('span:i94'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i94" onclick="swap_content('span:i94'); return false;">
                  <span class="category">Optimization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i94" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i172" onclick="swap_content('span:i172'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i172" onclick="swap_content('span:i172'); return false;"><b>print_constraints</b></a>
			(M, are_eqs)  

			
				→ bool<div style="display: inline" id="span:i172" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Write the rows of a matrix <em class="param">M</em> as inequalities (<em class="param">are_eqs=0</em>)
 or equations (<em class="param">are_eqs=1</em>) in a readable way.
 It is possible to specify labels for the coordinates via
 an optional array <em class="param">coord_labels</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix&lt;Scalar&gt;</td><td class="param">M</td><td><div class="descr"><div>the matrix whose rows are to be written</div></div></td></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">are_eqs</td><td><div class="descr"><div>optional; needs to be set to 1 if the rows
    represent equations instead of inequalities</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array&lt;String&gt;</a></td><td class="param">coord_labels</td><td><div class="descr"><div>changes the labels of the coordinates
    from 'x<sub>1</sub>,...,x<sub>n</sub>' to the specified names</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>bool</td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i111" onclick="swap_content('span:i111'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i111" onclick="swap_content('span:i111'); return false;">
                  <span class="category">Other</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i111" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i266" onclick="swap_content('span:i266'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i266" onclick="swap_content('span:i266'); return false;"><b>perturb_matrix</b></a>
			(M, eps, not_hom)  

			
				→ Matrix<div style="display: inline" id="span:i266" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Perturb a given matrix <em class="param">M</em> by adding a random matrix.
 The random matrix consists of vectors that are uniformly distributed
 on the unit sphere. Optionally, the random matrix can be scaled by
 a factor <em class="param">eps</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">M</td><td/></tr><tr><td><a href="#i50" onclick="unfold('span:i50');">Float</a></td><td class="param">eps</td><td><div class="descr"><div>the factor by which the random matrix is multiplied
   default value: 1</div></div></td></tr><tr><td><a href="#i36" onclick="unfold('span:i36');">Bool</a></td><td class="param">not_hom</td><td><div class="descr"><div>if set to 1, the first column will also be perturbed;
   otherwise the first columns of the input matrix <em class="param">M</em> and the perturbed one
   coincide (useful for working with homogenized coordinates);
   default value: 0 (homogen. coords)</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">seed</td><td><div class="descr"><div>controls the outcome of the random number generator;
   fixing a seed number guarantees the same outcome.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i265" onclick="swap_content('span:i265'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i265" onclick="swap_content('span:i265'); return false;"><b>pluecker</b></a>
			(V)  

			
				→ Vector<div style="display: inline" id="span:i265" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute vector of maximal minors of a matrix.
 WARNING: interpretation different in tropical::lifted_pluecker</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">V</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i110" onclick="swap_content('span:i110'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i110" onclick="swap_content('span:i110'); return false;">
                  <span class="category">Set operations</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i110" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i260" onclick="swap_content('span:i260'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i260" onclick="swap_content('span:i260'); return false;"><b>incl</b></a>
			()  

			<div style="display: inline" id="span:i260" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i264" onclick="swap_content('span:i264'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i264" onclick="swap_content('span:i264'); return false;"><b>range</b></a>
			()  

			<div style="display: inline" id="span:i264" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i262" onclick="swap_content('span:i262'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i262" onclick="swap_content('span:i262'); return false;"><b>scalar2set</b></a>
			()  

			<div style="display: inline" id="span:i262" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i261" onclick="swap_content('span:i261'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i261" onclick="swap_content('span:i261'); return false;"><b>select_subset</b></a>
			()  

			<div style="display: inline" id="span:i261" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i263" onclick="swap_content('span:i263'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i263" onclick="swap_content('span:i263'); return false;"><b>sequence</b></a>
			()  

			<div style="display: inline" id="span:i263" class="foldit"><br/><div class="descr_func"><div class="undoc">UNDOCUMENTED</div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i90" onclick="swap_content('span:i90'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i90" onclick="swap_content('span:i90'); return false;">
                  <span class="category">Utilities</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i90" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i167" onclick="swap_content('span:i167'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i167" onclick="swap_content('span:i167'); return false;"><b>average</b></a>
			(array)  

			<div style="display: inline" id="span:i167" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the average value of the array elements.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array</a></td><td class="param">array</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i168" onclick="swap_content('span:i168'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i168" onclick="swap_content('span:i168'); return false;"><b>bounding_box</b></a>
			(m)  

			
				→ Matrix<div style="display: inline" id="span:i168" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Compute a column-wise bounding box for the give matrix</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td><div class="descr"><div>: row(0) contains lower bounds, row(1) contains upper bounds</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i164" onclick="swap_content('span:i164'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i164" onclick="swap_content('span:i164'); return false;"><b>fibonacci</b></a>
			(m)  

			<div style="display: inline" id="span:i164" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the first <em class="param">m</em> Fibonacci numbers.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">m</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i166" onclick="swap_content('span:i166'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i166" onclick="swap_content('span:i166'); return false;"><b>histogram</b></a>
			(data)  

			
				→ Map&lt;Element, Int&gt;<div style="display: inline" id="span:i166" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a histogram of a container: each different element value is mapped on the number of its occurences.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Container&lt;Element&gt;</td><td class="param">data</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i42" onclick="unfold('span:i42');">Map&lt;Element, Int&gt;</a></td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i165" onclick="swap_content('span:i165'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i165" onclick="swap_content('span:i165'); return false;"><b>maximum</b></a>
			(array)  

			<div style="display: inline" id="span:i165" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the maximal element of an array.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array</a></td><td class="param">array</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i169" onclick="swap_content('span:i169'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i169" onclick="swap_content('span:i169'); return false;"><b>minimum</b></a>
			(array)  

			<div style="display: inline" id="span:i169" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the minimal element of an array.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i53" onclick="unfold('span:i53');">Array</a></td><td class="param">array</td><td/></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i88" onclick="swap_content('span:i88'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i88" onclick="swap_content('span:i88'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i88" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i146" onclick="swap_content('span:i146'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i146" onclick="swap_content('span:i146'); return false;"><b>compose</b></a>
			(vis_obj ...)  

			
				→ Visual::Container<div style="display: inline" id="span:i146" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a composite drawing of several objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Visual::Object</td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to be drawn together</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">Title</td><td><div class="descr"><div>name of the whole drawing; per default the name of the first Object is taken.</div></div></td></tr><tr><td>any</td><td class="param">decorations</td><td><div class="descr"><div>to be applied to all components as default values.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>Visual::Container</td><td><div class="descr"><div>if called in void context, immediately starts the preferred rendering program.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i319" onclick="swap_content('span:i319'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i319" onclick="swap_content('span:i319'); return false;"><b>compose</b></a>
			(vis_container, vis_obj ...)  

			
				→ Visual::Container<div style="display: inline" id="span:i319" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Add new objects to a composite drawing.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Visual::Container</td><td class="param">vis_container</td><td><div class="descr"><div>drawing produced by some visualization function</div></div></td></tr><tr><td>Visual::Object</td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to be added</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">Title</td><td><div class="descr"><div>new name for the drawing</div></div></td></tr><tr><td>any</td><td class="param">decorations</td><td><div class="descr"><div>to be applied to all components as default values.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>Visual::Container</td><td><div class="descr"><div>if called in void context, immediately starts the preferred rendering program.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i149" onclick="swap_content('span:i149'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i149" onclick="swap_content('span:i149'); return false;"><b>geomview</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:i149" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Run <a href="http://polymake.org//external_software#geomview" onclick="unfold('span:geomview');">geomview</a> to display given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Visual::Object</td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the objects in a <code>gcl</code> (geomview control language) file instead of starting the interactive GUI.
  The geometric data in <code>OFF</code> format is embedded in the Lisp-style commands, but can be easily extracted
  using any text editor, if needed.</div><div>  The <code>.gcl</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i145" onclick="swap_content('span:i145'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i145" onclick="swap_content('span:i145'); return false;"><b>postscript</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:i145" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Create a Postscript (tm) drawing with the given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Visual::Object</td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to draw</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the drawing in a file without starting the viewer.
  The <code>.ps</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i148" onclick="swap_content('span:i148'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i148" onclick="swap_content('span:i148'); return false;"><b>povray</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:i148" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Run <a href="http://polymake.org//external_software#povray" onclick="unfold('span:povray');">POVRAY</a> to display given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Visual::Object</td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"
  Store the object description in a POVRAY source file without actual rendering.
  The <code>.pov</code> suffix is automatically added to the file name.</div><div>  Specify <em class="param">AUTO</em> if you want the filename be automatically derived
  from the drawing title.</div><div>  You can also use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i144" onclick="swap_content('span:i144'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i144" onclick="swap_content('span:i144'); return false;"><b>sketch</b></a>
			(vis_obj ...)  

			<div style="display: inline" id="span:i144" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produce a Sketch input file with given visual objects.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Visual::Object</td><td class="param">vis_obj ...</td><td><div class="descr"><div>objects to display</div></div></td></tr></table><h5>Options</h5><table class="args"><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">File</td><td><div class="descr"><div>"filename" or "AUTO"</div><div>  For the file name you can use any expression allowed for the <code>open</code> function,
  including "-" for terminal output, "&amp;HANDLE" for an already opened file handle,
  or "| program" for a pipe.  Real file names are automatically completed with the <code>.sk</code> suffix if needed.</div><div>  An automatically generated file name is displayed in the verbose mode.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i147" onclick="swap_content('span:i147'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i147" onclick="swap_content('span:i147'); return false;"><b>static</b></a>
			(vis_obj)  

			
				→ Visual::Object<div style="display: inline" id="span:i147" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Suppress creation of dynamic (interactive) scenes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Visual::Object</td><td class="param">vis_obj</td><td><div class="descr"><div>drawing, e.g. created by <code>VISUAL_GRAPH</code> or <code>SCHLEGEL</code>.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>Visual::Object</td><td><div class="descr"><div>if called in void context, immediately starts the preferred rendering program.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Property Types</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:i53" onclick="swap_content('span:i53'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i53" onclick="swap_content('span:i53'); return false;">
              <b>Array</b>
            </a>
            <div style="display: inline" id="span:i53" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of Array</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i317" onclick="swap_content('span:i317'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i317" onclick="swap_content('span:i317'); return false;"><b>size</b></a>
			()  

			<div style="display: inline" id="span:i317" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i14" onclick="swap_content('span:i14'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i14" onclick="swap_content('span:i14'); return false;">
              <b>ARRAY</b>
            </a>
            <div style="display: inline" id="span:i14" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <b>derived from: </b>
              <a href="#i53" onclick="unfold('span:i53');">Array&lt;SCALAR&gt;</a>
              <br/>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i36" onclick="swap_content('span:i36'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i36" onclick="swap_content('span:i36'); return false;">
              <b>Bool</b>
            </a>
            <div style="display: inline" id="span:i36" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i54" onclick="swap_content('span:i54'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i54" onclick="swap_content('span:i54'); return false;">
              <b>boost_dynamic_bitset</b>
            </a>
            <div style="display: inline" id="span:i54" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <b>derived from: </b>
              <a href="#i29" onclick="unfold('span:i29');">Set&lt;Int&gt;</a>
              <br/>
              <div class="level3"/>
              <h4>User Methods of boost_dynamic_bitset</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i318" onclick="swap_content('span:i318'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i318" onclick="swap_content('span:i318'); return false;"><b>size</b></a>
			()  

			<div style="display: inline" id="span:i318" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i38" onclick="swap_content('span:i38'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i38" onclick="swap_content('span:i38'); return false;">
              <b>Directed</b>
            </a>
            <div style="display: inline" id="span:i38" class="foldit">
              <div class="descr">
                <p> type tag for directed graphs</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i41" onclick="swap_content('span:i41'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i41" onclick="swap_content('span:i41'); return false;">
              <b>DirectedMulti</b>
            </a>
            <div style="display: inline" id="span:i41" class="foldit">
              <div class="descr">
                <p> type tag for directed multigraphs</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i11" onclick="swap_content('span:i11'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i11" onclick="swap_content('span:i11'); return false;">
              <b>EdgeHashMap</b>
            </a>
            <div style="display: inline" id="span:i11" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i19" onclick="swap_content('span:i19'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i19" onclick="swap_content('span:i19'); return false;">
              <b>EdgeIterator</b>
            </a>
            <div style="display: inline" id="span:i19" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i52" onclick="swap_content('span:i52'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i52" onclick="swap_content('span:i52'); return false;">
              <b>EdgeList</b>
            </a>
            <div style="display: inline" id="span:i52" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i51" onclick="swap_content('span:i51'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i51" onclick="swap_content('span:i51'); return false;">
              <b>EdgeMap</b>
            </a>
            <div style="display: inline" id="span:i51" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i35" onclick="swap_content('span:i35'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i35" onclick="swap_content('span:i35'); return false;">
              <b>FacetList</b>
            </a>
            <div style="display: inline" id="span:i35" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of FacetList</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i314" onclick="swap_content('span:i314'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i314" onclick="swap_content('span:i314'); return false;"><b>insertMax</b></a>
			()  

			<div style="display: inline" id="span:i314" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i315" onclick="swap_content('span:i315'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i315" onclick="swap_content('span:i315'); return false;"><b>insertMin</b></a>
			()  

			<div style="display: inline" id="span:i315" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i316" onclick="swap_content('span:i316'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i316" onclick="swap_content('span:i316'); return false;"><b>size</b></a>
			()  

			<div style="display: inline" id="span:i316" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i50" onclick="swap_content('span:i50'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i50" onclick="swap_content('span:i50'); return false;">
              <b>Float</b>
            </a>
            <div style="display: inline" id="span:i50" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i26" onclick="swap_content('span:i26'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i26" onclick="swap_content('span:i26'); return false;">
              <b>Graph</b>
            </a>
            <div style="display: inline" id="span:i26" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of Graph</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i289" onclick="swap_content('span:i289'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i289" onclick="swap_content('span:i289'); return false;"><b>add_edge</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:i289" class="foldit"><br/><div class="descr_func"><div class="descr"><p> In a multigraph, creates a new edge connecting two given nodes.
 In a normal graph, creates a new edge only if the nodes were not connected yet.
 Returns the number of the (new) edge.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i288" onclick="swap_content('span:i288'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i288" onclick="swap_content('span:i288'); return false;"><b>add_node</b></a>
			()  

			<div style="display: inline" id="span:i288" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Adds a new node without incident edes, returns its index.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i304" onclick="swap_content('span:i304'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i304" onclick="swap_content('span:i304'); return false;"><b>adjacent_nodes</b></a>
			(node)  

			<div style="display: inline" id="span:i304" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the set of indices of nodes adjacent to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i309" onclick="swap_content('span:i309'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i309" onclick="swap_content('span:i309'); return false;"><b>all_edges</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:i309" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns an iterator visiting all (parallel) edges connecting two given nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i294" onclick="swap_content('span:i294'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i294" onclick="swap_content('span:i294'); return false;"><b>contract_edge</b></a>
			(node1, node2)  

			<div style="display: inline" id="span:i294" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Reconnects all edges from <em class="param">node2</em> to <em class="param">node1</em>,
 deleting the edge(s) between them and, finally, deleting <em class="param">node2</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node1</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node2</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i305" onclick="swap_content('span:i305'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i305" onclick="swap_content('span:i305'); return false;"><b>degree</b></a>
			(node)  

			<div style="display: inline" id="span:i305" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of edges incident to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i302" onclick="swap_content('span:i302'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i302" onclick="swap_content('span:i302'); return false;"><b>delete_all_edges</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:i302" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes all edges in a multigraph connecting two given nodes.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i295" onclick="swap_content('span:i295'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i295" onclick="swap_content('span:i295'); return false;"><b>delete_edge</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:i295" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes the edge connecting two given nodes, if there was one.
 In a multigraph, deletes one arbitrary edge from the parallel bundle.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i383" onclick="swap_content('span:i383'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i383" onclick="swap_content('span:i383'); return false;"><b>delete_edge</b></a>
			(iterator)  

			<div style="display: inline" id="span:i383" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Delete the edge in a multigraph pointed to by the given iterator</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i9" onclick="unfold('span:i9');">Iterator</a></td><td class="param">iterator</td><td><div class="descr"><div>as returned by <a href="#i309" onclick="unfold('span:i309');">all_edges</a>.</div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i308" onclick="swap_content('span:i308'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i308" onclick="swap_content('span:i308'); return false;"><b>delete_node</b></a>
			(node)  

			<div style="display: inline" id="span:i308" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes all edges incident to the given node and marks it as invalid.
 The numeration of other nodes stays unchanged.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i311" onclick="swap_content('span:i311'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i311" onclick="swap_content('span:i311'); return false;"><b>dim</b></a>
			()  

			<div style="display: inline" id="span:i311" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the maximal node index + 1.
 If the graph does not have gaps caused by node deletion, the result is equivalent to <a href="#i292" onclick="unfold('span:i292');">nodes</a>().</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i299" onclick="swap_content('span:i299'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i299" onclick="swap_content('span:i299'); return false;"><b>edge</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:i299" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of the edge connecting two given nodes.
 The edge is created if was not there.
 In a multigraph, an arbitrary edge from the parallel bundle will be picked.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i291" onclick="swap_content('span:i291'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i291" onclick="swap_content('span:i291'); return false;"><b>edges</b></a>
			()  

			<div style="display: inline" id="span:i291" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the total number of edges.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i293" onclick="swap_content('span:i293'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i293" onclick="swap_content('span:i293'); return false;"><b>edge_exists</b></a>
			(tail_node, head_node)  

			<div style="display: inline" id="span:i293" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether two given nodes are connected by (at least) one edge.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">tail_node</td><td/></tr><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">head_node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i290" onclick="swap_content('span:i290'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i290" onclick="swap_content('span:i290'); return false;"><b>has_gaps</b></a>
			()  

			<div style="display: inline" id="span:i290" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns true if some nodes have been deleted since the last <a href="#i310" onclick="unfold('span:i310');">squeeze</a> operation.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i312" onclick="swap_content('span:i312'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i312" onclick="swap_content('span:i312'); return false;"><b>invalid_node</b></a>
			(node)  

			<div style="display: inline" id="span:i312" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns true if the given node index is either out of valid range or points to a formerly deleted node.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i307" onclick="swap_content('span:i307'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i307" onclick="swap_content('span:i307'); return false;"><b>in_adjacent_nodes</b></a>
			(node)  

			<div style="display: inline" id="span:i307" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the set of indices of the nodes that have an edge heading to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i287" onclick="swap_content('span:i287'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i287" onclick="swap_content('span:i287'); return false;"><b>in_degree</b></a>
			(node)  

			<div style="display: inline" id="span:i287" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of edges heading to <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i301" onclick="swap_content('span:i301'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i301" onclick="swap_content('span:i301'); return false;"><b>in_edges</b></a>
			(node)  

			<div style="display: inline" id="span:i301" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a sequence of edges heading to (in Directed case) or incident to (in Undirected case) <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i292" onclick="swap_content('span:i292'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i292" onclick="swap_content('span:i292'); return false;"><b>nodes</b></a>
			()  

			<div style="display: inline" id="span:i292" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the total number of nodes.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i296" onclick="swap_content('span:i296'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i296" onclick="swap_content('span:i296'); return false;"><b>node_exists</b></a>
			(node)  

			<div style="display: inline" id="span:i296" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Checks whether the node with given index exists</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i297" onclick="swap_content('span:i297'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i297" onclick="swap_content('span:i297'); return false;"><b>node_out_of_range</b></a>
			(node)  

			<div style="display: inline" id="span:i297" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns true if the given node index is out of valid range.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i298" onclick="swap_content('span:i298'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i298" onclick="swap_content('span:i298'); return false;"><b>out_adjacent_nodes</b></a>
			(node)  

			<div style="display: inline" id="span:i298" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the set of indices of the nodes with an edge arriving from <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i306" onclick="swap_content('span:i306'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i306" onclick="swap_content('span:i306'); return false;"><b>out_degree</b></a>
			(node)  

			<div style="display: inline" id="span:i306" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of edges leaving <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i303" onclick="swap_content('span:i303'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i303" onclick="swap_content('span:i303'); return false;"><b>out_edges</b></a>
			(node)  

			<div style="display: inline" id="span:i303" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns a sequence of edges leaving (in Directed case) or incident to (in Undirected case) <em class="param">node</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">node</td><td/></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i310" onclick="swap_content('span:i310'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i310" onclick="swap_content('span:i310'); return false;"><b>squeeze</b></a>
			()  

			<div style="display: inline" id="span:i310" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Renumbers the valid nodes as to eliminate all gaps left after deleting.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i300" onclick="swap_content('span:i300'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i300" onclick="swap_content('span:i300'); return false;"><b>squeeze_isolated</b></a>
			()  

			<div style="display: inline" id="span:i300" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Deletes all nodes of degree 0,
 then renumbers the remaining nodes without gaps.</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i33" onclick="swap_content('span:i33'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i33" onclick="swap_content('span:i33'); return false;">
              <b>HashMap</b>
            </a>
            <div style="display: inline" id="span:i33" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i32" onclick="swap_content('span:i32'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i32" onclick="swap_content('span:i32'); return false;">
              <b>HashSet</b>
            </a>
            <div style="display: inline" id="span:i32" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i22" onclick="swap_content('span:i22'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i22" onclick="swap_content('span:i22'); return false;">
              <b>IncidenceMatrix</b>
            </a>
            <div style="display: inline" id="span:i22" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of IncidenceMatrix</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i285" onclick="swap_content('span:i285'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i285" onclick="swap_content('span:i285'); return false;"><b>col</b></a>
			()  

			<div style="display: inline" id="span:i285" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i283" onclick="swap_content('span:i283'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i283" onclick="swap_content('span:i283'); return false;"><b>cols</b></a>
			()  

			<div style="display: inline" id="span:i283" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i286" onclick="swap_content('span:i286'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i286" onclick="swap_content('span:i286'); return false;"><b>minor</b></a>
			()  

			<div style="display: inline" id="span:i286" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i284" onclick="swap_content('span:i284'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i284" onclick="swap_content('span:i284'); return false;"><b>row</b></a>
			()  

			<div style="display: inline" id="span:i284" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i282" onclick="swap_content('span:i282'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i282" onclick="swap_content('span:i282'); return false;"><b>rows</b></a>
			()  

			<div style="display: inline" id="span:i282" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i279" onclick="swap_content('span:i279'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i279" onclick="swap_content('span:i279'); return false;"><b>squeeze</b></a>
			()  

			<div style="display: inline" id="span:i279" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i280" onclick="swap_content('span:i280'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i280" onclick="swap_content('span:i280'); return false;"><b>squeeze_cols</b></a>
			()  

			<div style="display: inline" id="span:i280" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i281" onclick="swap_content('span:i281'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i281" onclick="swap_content('span:i281'); return false;"><b>squeeze_rows</b></a>
			()  

			<div style="display: inline" id="span:i281" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i44" onclick="swap_content('span:i44'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i44" onclick="swap_content('span:i44'); return false;">
              <b>Int</b>
            </a>
            <div style="display: inline" id="span:i44" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i17" onclick="swap_content('span:i17'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i17" onclick="swap_content('span:i17'); return false;">
              <b>Integer</b>
            </a>
            <div style="display: inline" id="span:i17" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i9" onclick="swap_content('span:i9'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i9" onclick="swap_content('span:i9'); return false;">
              <b>Iterator</b>
            </a>
            <div style="display: inline" id="span:i9" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i37" onclick="swap_content('span:i37'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i37" onclick="swap_content('span:i37'); return false;">
              <b>List</b>
            </a>
            <div style="display: inline" id="span:i37" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i12" onclick="swap_content('span:i12'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i12" onclick="swap_content('span:i12'); return false;">
              <b>LocalFloatEpsilon</b>
            </a>
            <div style="display: inline" id="span:i12" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i55" onclick="swap_content('span:i55'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i55" onclick="swap_content('span:i55'); return false;">
              <b>Long</b>
            </a>
            <div style="display: inline" id="span:i55" class="foldit">
              <div class="descr">
                <p> this type is primarily needed for automatic generated function wrappers,
 because perl integral constants are always kept as a long</p>
              </div>
              <b>derived from: </b>
              <a href="#i44" onclick="unfold('span:i44');">Int</a>
              <br/>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i42" onclick="swap_content('span:i42'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i42" onclick="swap_content('span:i42'); return false;">
              <b>Map</b>
            </a>
            <div style="display: inline" id="span:i42" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i15" onclick="swap_content('span:i15'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i15" onclick="swap_content('span:i15'); return false;">
              <b>NodeHashMap</b>
            </a>
            <div style="display: inline" id="span:i15" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i20" onclick="swap_content('span:i20'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i20" onclick="swap_content('span:i20'); return false;">
              <b>NodeIterator</b>
            </a>
            <div style="display: inline" id="span:i20" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i47" onclick="swap_content('span:i47'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i47" onclick="swap_content('span:i47'); return false;">
              <b>NodeMap</b>
            </a>
            <div style="display: inline" id="span:i47" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i34" onclick="swap_content('span:i34'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i34" onclick="swap_content('span:i34'); return false;">
              <b>NodeSet</b>
            </a>
            <div style="display: inline" id="span:i34" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i46" onclick="swap_content('span:i46'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i46" onclick="swap_content('span:i46'); return false;">
              <b>NonSymmetric</b>
            </a>
            <div style="display: inline" id="span:i46" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i39" onclick="swap_content('span:i39'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i39" onclick="swap_content('span:i39'); return false;">
              <b>Pair</b>
            </a>
            <div style="display: inline" id="span:i39" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i28" onclick="swap_content('span:i28'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i28" onclick="swap_content('span:i28'); return false;">
              <b>Plucker</b>
            </a>
            <div style="display: inline" id="span:i28" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i40" onclick="swap_content('span:i40'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i40" onclick="swap_content('span:i40'); return false;">
              <b>PowerSet</b>
            </a>
            <div style="display: inline" id="span:i40" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i45" onclick="swap_content('span:i45'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i45" onclick="swap_content('span:i45'); return false;">
              <b>QuadraticExtension</b>
            </a>
            <div style="display: inline" id="span:i45" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i21" onclick="swap_content('span:i21'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i21" onclick="swap_content('span:i21'); return false;">
              <b>Rational</b>
            </a>
            <div style="display: inline" id="span:i21" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i23" onclick="swap_content('span:i23'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i23" onclick="swap_content('span:i23'); return false;">
              <b>RationalFunction</b>
            </a>
            <div style="display: inline" id="span:i23" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i31" onclick="swap_content('span:i31'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i31" onclick="swap_content('span:i31'); return false;">
              <b>SCALAR</b>
            </a>
            <div style="display: inline" id="span:i31" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i30" onclick="swap_content('span:i30'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i30" onclick="swap_content('span:i30'); return false;">
              <b>Serialized</b>
            </a>
            <div style="display: inline" id="span:i30" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i29" onclick="swap_content('span:i29'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i29" onclick="swap_content('span:i29'); return false;">
              <b>Set</b>
            </a>
            <div style="display: inline" id="span:i29" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
              <h4>User Methods of Set</h4>
              <ul class="unfoldable">
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i313" onclick="swap_content('span:i313'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i313" onclick="swap_content('span:i313'); return false;"><b>size</b></a>
			()  

			<div style="display: inline" id="span:i313" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i10" onclick="swap_content('span:i10'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i10" onclick="swap_content('span:i10'); return false;">
              <b>String</b>
            </a>
            <div style="display: inline" id="span:i10" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i24" onclick="swap_content('span:i24'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i24" onclick="swap_content('span:i24'); return false;">
              <b>Symmetric</b>
            </a>
            <div style="display: inline" id="span:i24" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i13" onclick="swap_content('span:i13'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i13" onclick="swap_content('span:i13'); return false;">
              <b>Text</b>
            </a>
            <div style="display: inline" id="span:i13" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i48" onclick="swap_content('span:i48'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i48" onclick="swap_content('span:i48'); return false;">
              <b>Tuple</b>
            </a>
            <div style="display: inline" id="span:i48" class="foldit">
              <div class="undoc">
                <p>UNDOCUMENTED</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i18" onclick="swap_content('span:i18'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i18" onclick="swap_content('span:i18'); return false;">
              <b>Undirected</b>
            </a>
            <div style="display: inline" id="span:i18" class="foldit">
              <div class="descr">
                <p> type tag for undirected graphs</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i27" onclick="swap_content('span:i27'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <a href="#" class="javalink" id="i27" onclick="swap_content('span:i27'); return false;">
              <b>UndirectedMulti</b>
            </a>
            <div style="display: inline" id="span:i27" class="foldit">
              <div class="descr">
                <p> type tag for undirected multigraphs</p>
              </div>
              <div class="level3"/>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i16" onclick="swap_content('span:i16'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i16" onclick="swap_content('span:i16'); return false;">
                  <span class="category">Algebraic Types</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i16" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i124" onclick="swap_content('span:i124'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i124" onclick="swap_content('span:i124'); return false;">
                        <b>all_rows_or_cols</b>
                      </a>
                      <div style="display: inline" id="span:i124" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i122" onclick="swap_content('span:i122'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i122" onclick="swap_content('span:i122'); return false;">
                        <b>Matrix</b>
                      </a>
                      <div style="display: inline" id="span:i122" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                        <h4>User Methods of Matrix</h4>
                        <ul class="unfoldable">
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i367" onclick="swap_content('span:i367'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i367" onclick="swap_content('span:i367'); return false;"><b>anti_diagonal</b></a>
			()  

			
				→ Vector&lt;Element&gt;<div style="display: inline" id="span:i367" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the <em class="u">anti-diagonal</em> of the matrix.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector&lt;Element&gt;</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i368" onclick="swap_content('span:i368'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i368" onclick="swap_content('span:i368'); return false;"><b>col</b></a>
			()  

			<div style="display: inline" id="span:i368" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i370" onclick="swap_content('span:i370'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i370" onclick="swap_content('span:i370'); return false;"><b>cols</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:i370" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of columns.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i364" onclick="swap_content('span:i364'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i364" onclick="swap_content('span:i364'); return false;"><b>diagonal</b></a>
			()  

			<div style="display: inline" id="span:i364" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i366" onclick="swap_content('span:i366'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i366" onclick="swap_content('span:i366'); return false;"><b>div_exact</b></a>
			(a)  

			
				→ Matrix<div style="display: inline" id="span:i366" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Divides every entry by <em class="param">a</em> (assuming that every entry is divisible by <em class="param">a</em>).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i365" onclick="swap_content('span:i365'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i365" onclick="swap_content('span:i365'); return false;"><b>minor</b></a>
			()  

			<div style="display: inline" id="span:i365" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i369" onclick="swap_content('span:i369'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i369" onclick="swap_content('span:i369'); return false;"><b>row</b></a>
			()  

			<div style="display: inline" id="span:i369" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div>
                            </div>
                          </li>
                          <li>
                            <div class="li">
                              <div class="icon" id="icon:i371" onclick="swap_content('span:i371'); return false;">
		 	
	</div>
                              <div class="unfoldable"><a href="#" class="javalink" id="i371" onclick="swap_content('span:i371'); return false;"><b>rows</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:i371" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Returns the number of rows.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i115" onclick="swap_content('span:i115'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i115" onclick="swap_content('span:i115'); return false;"><b>Monomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:i115" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#i21" onclick="unfold('span:i21');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#i44" onclick="unfold('span:i44');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i127" onclick="swap_content('span:i127'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i127" onclick="swap_content('span:i127'); return false;"><b>Polynomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:i127" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#i21" onclick="unfold('span:i21');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#i44" onclick="unfold('span:i44');">Int</a></div></div></td></tr></table></div><h4>User Methods of Polynomial</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:i381" onclick="swap_content('span:i381'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i381" onclick="swap_content('span:i381'); return false;"><b>coefficients_as_vector</b></a>
			()  

			<div style="display: inline" id="span:i381" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i377" onclick="swap_content('span:i377'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i377" onclick="swap_content('span:i377'); return false;"><b>get_ring</b></a>
			()  

			<div style="display: inline" id="span:i377" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i376" onclick="swap_content('span:i376'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i376" onclick="swap_content('span:i376'); return false;"><b>lc</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:i376" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">leading coefficient</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:i380" onclick="swap_content('span:i380'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i380" onclick="swap_content('span:i380'); return false;"><b>lm_exp</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:i380" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The exponent of the leading monomial.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:i379" onclick="swap_content('span:i379'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i379" onclick="swap_content('span:i379'); return false;"><b>monomials_as_matrix</b></a>
			()  

			<div style="display: inline" id="span:i379" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i378" onclick="swap_content('span:i378'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i378" onclick="swap_content('span:i378'); return false;"><b>trivial</b></a>
			()  

			<div style="display: inline" id="span:i378" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i120" onclick="swap_content('span:i120'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i120" onclick="swap_content('span:i120'); return false;"><b>Ring</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:i120" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#i21" onclick="unfold('span:i21');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#i44" onclick="unfold('span:i44');">Int</a></div></div></td></tr></table></div><h4>User Methods of Ring</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:i362" onclick="swap_content('span:i362'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i362" onclick="swap_content('span:i362'); return false;"><b>names</b></a>
			()  

			<div style="display: inline" id="span:i362" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i363" onclick="swap_content('span:i363'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i363" onclick="swap_content('span:i363'); return false;"><b>n_vars</b></a>
			()  

			<div style="display: inline" id="span:i363" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i360" onclick="swap_content('span:i360'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i360" onclick="swap_content('span:i360'); return false;"><b>variable</b></a>
			()  

			<div style="display: inline" id="span:i360" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i361" onclick="swap_content('span:i361'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i361" onclick="swap_content('span:i361'); return false;"><b>variables</b></a>
			()  

			<div style="display: inline" id="span:i361" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i116" onclick="swap_content('span:i116'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i116" onclick="swap_content('span:i116'); return false;">
                        <b>SparseIterator</b>
                      </a>
                      <div style="display: inline" id="span:i116" class="foldit">
                        <div class="undoc">UNDOCUMENTED</div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i119" onclick="swap_content('span:i119'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i119" onclick="swap_content('span:i119'); return false;"><b>SparseMatrix</b></a>
			&lt;Element, Sym&gt;
		<div style="display: inline" id="span:i119" class="foldit"><div class="descr"><p> A SparseMatrix is encoded as a list of <a href="#i126" onclick="unfold('span:i126');">SparseVectors</a> (its rows).</p><p> Use <a href="#i181" onclick="unfold('span:i181');">dense</a> to convert this into its dense form.</p><p> You can create a new SparseMatrix by entering its entries row by row, e.g.:
</p><blockquote><div>$A = new SparseMatrix&lt;Int&gt;(&lt;&lt; '.');</div><div>(5) (1 1)</div><div>(5) (4 2)</div><div>(5)</div><div>(5) (0 3) (1 -1)</div><div>.</div></blockquote></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr><tr><td class="param">Sym</td><td><div class="descr"><div>one of <a href="#i24" onclick="unfold('span:i24');">Symmetric</a> or <a href="#i46" onclick="unfold('span:i46');">NonSymmetric</a>, default: NonSymmetric</div></div></td></tr></table></div><h4>User Methods of SparseMatrix</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:i358" onclick="swap_content('span:i358'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i358" onclick="swap_content('span:i358'); return false;"><b>squeeze</b></a>
			()  

			<div style="display: inline" id="span:i358" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty rows and columns.
 The remaining rows and columns are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i357" onclick="swap_content('span:i357'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i357" onclick="swap_content('span:i357'); return false;"><b>squeeze_cols</b></a>
			()  

			<div style="display: inline" id="span:i357" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty columns.
 The remaining columns are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i359" onclick="swap_content('span:i359'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i359" onclick="swap_content('span:i359'); return false;"><b>squeeze_rows</b></a>
			()  

			<div style="display: inline" id="span:i359" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Removes empty rows.
 The remaining rows are renumbered without gaps.</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i126" onclick="swap_content('span:i126'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i126" onclick="swap_content('span:i126'); return false;"><b>SparseVector</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:i126" class="foldit"><div class="descr"><p> A SparseVector is encoded as a sequence (l) (p<sub>1</sub> v<sub>1</sub>) ... (p<sub>k</sub> v<sub>k</sub>),
 where l is the length of the vector and each pair (p<sub>i</sub> v<sub>i</sub>) denotes an entry with value
 v<sub>i</sub> at position p<sub>i</sub>. All other entries are zero.</p><p> Use <a href="#i181" onclick="unfold('span:i181');">dense</a> to convert this into its dense form.</p><p> You can create a new SparseVector by entering its encoding as described above, e.g.:
</p><blockquote><div>$v = new SparseVector&lt;Int&gt;(&lt;&lt; '.');</div><div>(6) (1 1) (2 2)</div><div>.</div></blockquote></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div><h4>User Methods of SparseVector</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:i375" onclick="swap_content('span:i375'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i375" onclick="swap_content('span:i375'); return false;"><b>size</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:i375" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The number of non-zero entries.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i118" onclick="swap_content('span:i118'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i118" onclick="swap_content('span:i118'); return false;"><b>Term</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:i118" class="foldit"><div class="undoc">UNDOCUMENTED</div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#i21" onclick="unfold('span:i21');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#i44" onclick="unfold('span:i44');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i125" onclick="swap_content('span:i125'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i125" onclick="swap_content('span:i125'); return false;"><b>UniMonomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:i125" class="foldit"><div class="descr"><p> A class for <em class="u">univariate</em> monomials.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#i21" onclick="unfold('span:i21');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#i44" onclick="unfold('span:i44');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i117" onclick="swap_content('span:i117'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i117" onclick="swap_content('span:i117'); return false;"><b>UniPolynomial</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:i117" class="foldit"><div class="descr"><p> A class for <em class="u">univariate</em> polynomials.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#i21" onclick="unfold('span:i21');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#i44" onclick="unfold('span:i44');">Int</a></div></div></td></tr></table></div><h4>User Methods of UniPolynomial</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:i355" onclick="swap_content('span:i355'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i355" onclick="swap_content('span:i355'); return false;"><b>deg</b></a>
			()  

			<div style="display: inline" id="span:i355" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i356" onclick="swap_content('span:i356'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i356" onclick="swap_content('span:i356'); return false;"><b>lc</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:i356" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The <em class="u">leading coefficient</em>.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:i354" onclick="swap_content('span:i354'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i354" onclick="swap_content('span:i354'); return false;"><b>low_deg</b></a>
			()  

			<div style="display: inline" id="span:i354" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i121" onclick="swap_content('span:i121'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i121" onclick="swap_content('span:i121'); return false;"><b>UniTerm</b></a>
			&lt;Coefficient, Exponent&gt;
		<div style="display: inline" id="span:i121" class="foldit"><div class="descr"><p> A class for <em class="u">univariate</em> terms.</p></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Coefficient</td><td><div class="descr"><div>default: <a href="#i21" onclick="unfold('span:i21');">Rational</a></div></div></td></tr><tr><td class="param">Exponent</td><td><div class="descr"><div>default: <a href="#i44" onclick="unfold('span:i44');">Int</a></div></div></td></tr></table></div></div></div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i123" onclick="swap_content('span:i123'); return false;">
		 	
	</div>
                    <div class="unfoldable"><a href="#" class="javalink" id="i123" onclick="swap_content('span:i123'); return false;"><b>Vector</b></a>
			&lt;Element&gt;
		<div style="display: inline" id="span:i123" class="foldit"><div class="descr"><p> A type for vectors with entries of type <em class="param">Element</em>.</p><p> You can perform algebraic operations such as addition or scalar multiplication.</p><p> You can create a new Vector by entering its entries, e.g.:
</p><blockquote><div>$v = new Vector&lt;Int&gt;(1,2,3);</div></blockquote></div><div class="level3"><h5>Type Parameters</h5><table class="args"><tr><td class="param">Element</td><td/></tr></table></div><h4>User Methods of Vector</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:i373" onclick="swap_content('span:i373'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i373" onclick="swap_content('span:i373'); return false;"><b>dim</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:i373" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The length of the vector</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:i374" onclick="swap_content('span:i374'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i374" onclick="swap_content('span:i374'); return false;"><b>div_exact</b></a>
			(a)  

			
				→ Vector<div style="display: inline" id="span:i374" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Divides every entry by <em class="param">a</em> (assuming that every entry is divisible by <em class="param">a</em>).</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#i44" onclick="unfold('span:i44');">Int</a></td><td class="param">a</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#i123" onclick="unfold('span:i123');">Vector</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:i372" onclick="swap_content('span:i372'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i372" onclick="swap_content('span:i372'); return false;"><b>slice</b></a>
			()  

			<div style="display: inline" id="span:i372" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li><li><div class="li"><div class="icon" id="icon:i385" onclick="swap_content('span:i385'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="i385" onclick="swap_content('span:i385'); return false;"><b>slice</b></a>
			()  

			<div style="display: inline" id="span:i385" class="foldit"><br/><div class="descr_func"><div class="undoc"><p>UNDOCUMENTED</p></div></div><div class="level3"/></div></div></div></li></ul></div></div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i25" onclick="swap_content('span:i25'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i25" onclick="swap_content('span:i25'); return false;">
                  <span class="category">Arithmetic</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i25" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i129" onclick="swap_content('span:i129'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i129" onclick="swap_content('span:i129'); return false;">
                        <b>Div</b>
                      </a>
                      <div style="display: inline" id="span:i129" class="foldit">
                        <div class="descr">
                          <p> Complete result of an integral division, quotient and remainder</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i130" onclick="swap_content('span:i130'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i130" onclick="swap_content('span:i130'); return false;">
                        <b>ExtGCD</b>
                      </a>
                      <div style="display: inline" id="span:i130" class="foldit">
                        <div class="descr">
                          <p> Complete result of calculation of the greatest common divisor of two numbers (a,b):
   g=gcd(a,b)
   g==a*p+b*q
   a==g*k1
   b==g*k2</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i43" onclick="swap_content('span:i43'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i43" onclick="swap_content('span:i43'); return false;">
                  <span class="category">Linear Algebra</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i43" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i134" onclick="swap_content('span:i134'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i134" onclick="swap_content('span:i134'); return false;">
                        <b>SmithNormalForm</b>
                      </a>
                      <div style="display: inline" id="span:i134" class="foldit">
                        <div class="descr">
                          <p> Complete result of the Smith normal form computation.
 Contains the following fields:
   SparseMatrix&lt;Scalar&gt; form: the Smith normal form S of the given matrix <em class="param">M</em>
   List&lt;Pair&lt;Scalar, Int&gt;&gt; torsion:  absolute values of the entries greater than 1 of the diagonal together with their multiplicity
   Int rank: rank of <em class="param">M</em>
   SparseMatrix&lt;Scalar&gt; left_companion, right_companion: unimodular matrices L and R such that
                        M = LSR in normal case, or S = LMR in inverted case (as specified in the call to [smith_normal_form] function).</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
      <li>
        <div class="li">
          <div class="icon" id="icon:i49" onclick="swap_content('span:i49'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i49" onclick="swap_content('span:i49'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i49" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i135" onclick="swap_content('span:i135'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i135" onclick="swap_content('span:i135'); return false;">
                        <b>Flexible</b>
                      </a>
                      <div style="display: inline" id="span:i135" class="foldit">
                        <div class="descr">
                          <p> This is a pseudo-type for documentation purposes only.
 Many options of visualization functions modifying the appearance of some set of graphical elements
 like points, edges, facets, etc. accept a wide range of possible values, allowing for different grades
 of flexibility (and complexity):</p>
                          <p>  SCALAR  the same attribute value is applied to all elements
  ARRAY   each element gets its individual attribute value
  HASH    elements found in the hash get their individual attribute values, for the rest the appropriate default applies
  SUB     a piece of code computing the attribute value for the given element</p>
                          <p> Unless specified explicitly in the detailed option description, the indices, keys, or
 subroutine arguments used for retrieval of the attribute values are just the zero-based ordinal numbers of the elements.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i136" onclick="swap_content('span:i136'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i136" onclick="swap_content('span:i136'); return false;">
                        <b>HSV</b>
                      </a>
                      <div style="display: inline" id="span:i136" class="foldit">
                        <div class="descr">
                          <p> A color described as a Hue-Saturation-Value triple.
 Is convertible to and from an RGB representation.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i137" onclick="swap_content('span:i137'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i137" onclick="swap_content('span:i137'); return false;">
                        <b>RGB</b>
                      </a>
                      <div style="display: inline" id="span:i137" class="foldit">
                        <div class="descr">
                          <p> A color described as a Red-Green-Blue triple.
 Can be constructed from a list of three integral values from the range 0..255,
 or a list of three floating-point values from the range 0..1,
 or one of symbolic names listed in the system-wide file <code>rgb.txt</code>.</p>
                        </div>
                        <div class="level3"/>
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
  <div class="level3">
    <h2>Common Option Lists</h2>
    <ul class="unfoldable">
      <li>
        <div class="li">
          <div class="icon" id="icon:i87" onclick="swap_content('span:i87'); return false;">
		 	
	</div>
          <div class="unfoldable">
            <div class="category">
              <h3>
                <a href="#" class="javalink" id="i87" onclick="swap_content('span:i87'); return false;">
                  <span class="category">Visualization</span>
                </a>
              </h3>
            </div>
            <div style="display: inline" id="span:i87" class="foldit">
              <ul>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i141" onclick="swap_content('span:i141'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i141" onclick="swap_content('span:i141'); return false;">
                        <b>Visual::PointSet::decorations</b>
                      </a>
                      <div style="display: inline" id="span:i141" class="foldit">
                        <div class="descr">
                          <p> Common attributes modifying the appearance of PointSets and all visual objects derived thereof.
 Please be aware that no one visualization program interfaced to polymake supports all of them.
 Unsupported options are normally ignored.</p>
                        </div>
                        <h5>Options</h5>
                        <table class="args">
                          <tr>
                            <td>
                              <a href="#i10" onclick="unfold('span:i10');">String</a>
                            </td>
                            <td class="param">Title</td>
                            <td>
                              <div class="descr">
                                <div>the name of the drawing</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i10" onclick="unfold('span:i10');">String</a>
                            </td>
                            <td class="param">Name</td>
                            <td>
                              <div class="descr">
                                <div>the name of this visual object in the drawing</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i36" onclick="unfold('span:i36');">Bool</a>
                            </td>
                            <td class="param">Hidden</td>
                            <td>
                              <div class="descr">
                                <div>if set to true, the visual object is not rendered
       (useful for interactive visualization programs allowing for switching details on and off)
 String  if set to "hidden", no point labels are displayed</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>enum</td>
                            <td class="param">PointLabels</td>
                            <td>
                              <div class="descr">
                                <div>("hidden"),
 String  alias for PointLabels</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>enum</td>
                            <td class="param">VertexLabels</td>
                            <td>
                              <div class="descr">
                                <div>("hidden"),</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;RGB&gt;</a>
                            </td>
                            <td class="param">PointColor</td>
                            <td>
                              <div class="descr">
                                <div>color of the spheres or rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;RGB&gt;</a>
                            </td>
                            <td class="param">VertexColor</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointColor</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">PointThickness</td>
                            <td>
                              <div class="descr">
                                <div>scaling factor for the size of the spheres or rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">VertexThickness</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointThickness</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;RGB&gt;</a>
                            </td>
                            <td class="param">PointBorderColor</td>
                            <td>
                              <div class="descr">
                                <div>color of the border line of rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">VertexBorderColor</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointBorderColor</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">PointBorderThickness</td>
                            <td>
                              <div class="descr">
                                <div>scaling factor for the thickness of the border line of rectangles representing the points</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;Float&gt;</a>
                            </td>
                            <td class="param">VertexBorderThickness</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointBorderThickness</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;String&gt;</a>
                            </td>
                            <td class="param">PointStyle</td>
                            <td>
                              <div class="descr">
                                <div>if set to "hidden", neither point nor its label is rendered</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i135" onclick="unfold('span:i135');">Flexible&lt;String&gt;</a>
                            </td>
                            <td class="param">VertexStyle</td>
                            <td>
                              <div class="descr">
                                <div>alias for PointStyle</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i123" onclick="unfold('span:i123');">Vector&lt;Float&gt;</a>
                            </td>
                            <td class="param">ViewPoint</td>
                            <td>
                              <div class="descr">
                                <div>ViewPoint for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i123" onclick="unfold('span:i123');">Vector&lt;Float&gt;</a>
                            </td>
                            <td class="param">ViewDirection</td>
                            <td>
                              <div class="descr">
                                <div>ViewDirection for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i123" onclick="unfold('span:i123');">Vector&lt;Float&gt;</a>
                            </td>
                            <td class="param">ViewUp</td>
                            <td>
                              <div class="descr">
                                <div>ViewUp for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                          <tr>
                            <td>
                              <a href="#i50" onclick="unfold('span:i50');">Float</a>
                            </td>
                            <td class="param">Scale</td>
                            <td>
                              <div class="descr">
                                <div>scale for Sketch visualization</div>
                              </div>
                            </td>
                          </tr>
                        </table>
                      </div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i143" onclick="swap_content('span:i143'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i143" onclick="swap_content('span:i143'); return false;">
                        <b>Visual::Polygon::decorations</b>
                      </a>
                      <div style="display: inline" id="span:i143" class="foldit"><div class="descr"><p> Attributes modifying the appearance of filled polygons.</p></div><b>imports from: </b>Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="#i137" onclick="unfold('span:i137');">RGB</a></td><td class="param">FacetColor</td><td><div class="descr"><div>filling color of the polygon</div></div></td></tr><tr><td><a href="#i50" onclick="unfold('span:i50');">Float</a></td><td class="param">FacetTransparency</td><td><div class="descr"><div>transparency factor of the polygon between 0 (opaque) and 1 (completely translucent)</div></div></td></tr><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">FacetStyle</td><td><div class="descr"><div>if set to "hidden", the inner area of the polygon is not rendered</div></div></td></tr><tr><td><a href="#i137" onclick="unfold('span:i137');">RGB</a></td><td class="param">EdgeColor</td><td><div class="descr"><div>color of the boundary lines</div></div></td></tr><tr><td><a href="#i50" onclick="unfold('span:i50');">Float</a></td><td class="param">EdgeThickness</td><td><div class="descr"><div>scaling factor for the thickness of the boundary lines</div></div></td></tr><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">EdgeStyle</td><td><div class="descr"><div>if set to "hidden", the boundary lines are not rendered</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i142" onclick="swap_content('span:i142'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i142" onclick="swap_content('span:i142'); return false;">
                        <b>Visual::Polygons::decorations</b>
                      </a>
                      <div style="display: inline" id="span:i142" class="foldit"><div class="descr"><p> Attributes modifying the appearance of a set of polygons (like a polygonal surface).</p></div><b>imports from: </b>Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="#i135" onclick="unfold('span:i135');">Flexible&lt;RGB&gt;</a></td><td class="param">FacetColor</td><td><div class="descr"><div>filling color of the polygons</div></div></td></tr><tr><td><a href="#i135" onclick="unfold('span:i135');">Flexible&lt;Float&gt;</a></td><td class="param">FacetTransparency</td><td><div class="descr"><div>transparency factor of the polygons between 0 (opaque) and 1 (completely translucent)</div></div></td></tr><tr><td><a href="#i135" onclick="unfold('span:i135');">Flexible&lt;String&gt;</a></td><td class="param">FacetStyle</td><td><div class="descr"><div>if set to "hidden", the inner area of the polygons are not rendered at all</div></div></td></tr><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">FacetLabels</td><td><div class="descr"><div>if set to "hidden", the facet labels are not displayed (in the most cases this is the default behavior)</div></div></td></tr><tr><td><a href="#i137" onclick="unfold('span:i137');">RGB</a></td><td class="param">EdgeColor</td><td><div class="descr"><div>color of the boundary lines</div></div></td></tr><tr><td><a href="#i50" onclick="unfold('span:i50');">Float</a></td><td class="param">EdgeThickness</td><td><div class="descr"><div>scaling factor for the thickness of the boundary lines</div></div></td></tr><tr><td><a href="#i10" onclick="unfold('span:i10');">String</a></td><td class="param">EdgeStyle</td><td><div class="descr"><div>if set to "hidden", the boundary lines are not rendered</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
                <li>
                  <div class="li">
                    <div class="icon" id="icon:i140" onclick="swap_content('span:i140'); return false;">
		 	
	</div>
                    <div class="unfoldable">
                      <a href="#" class="javalink" id="i140" onclick="swap_content('span:i140'); return false;">
                        <b>Visual::Wire::decorations</b>
                      </a>
                      <div style="display: inline" id="span:i140" class="foldit"><div class="descr"><p> Attributes modifying the appearance of "wire frameworks".
 Unlike the rest, the flexible edge attributes are retrieved using the <em class="param">edge iterator</em> as an index/key/argument.</p></div><b>imports from: </b>Visual::PointSet::decorations<br/><br/><h5>Options</h5><table class="args"><tr><td><a href="#i135" onclick="unfold('span:i135');">Flexible&lt;RGB&gt;</a></td><td class="param">EdgeColor</td><td><div class="descr"><div>color of the lines representing the edges</div></div></td></tr><tr><td><a href="#i135" onclick="unfold('span:i135');">Flexible&lt;Float&gt;</a></td><td class="param">EdgeThickness</td><td><div class="descr"><div>scaling factor for the thickness of the lines representing the edges</div></div></td></tr><tr><td><a href="#i51" onclick="unfold('span:i51');">EdgeMap&lt;String&gt;</a></td><td class="param">EdgeLabels</td><td><div class="descr"><div>textual labels to be placed along the edges</div></div></td></tr><tr><td><a href="#i135" onclick="unfold('span:i135');">Flexible&lt;String&gt;</a></td><td class="param">EdgeStyle</td><td><div class="descr"><div>if set to "hidden", neither the edge nor its label is rendered</div></div></td></tr></table></div>
                    </div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </li>
    </ul>
  </div>
</div>
